# Visualization
TKV3d
AIS

# AIS_StdMapNodeOfMapOfInteractive Class Reference

`#include <AIS_StdMapNodeOfMapOfInteractive.hxx>`

## Public Member Functions

| AIS_StdMapNodeOfMapOfInteractive (const Handle(AIS_InteractiveObject)&K, const TCollection_MapNodePtr &n)
Handle_AIS_InteractiveObject & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AIS_InteractiveObject | myKey

## Constructor & Destructor Documentation

AIS_StdMapNodeOfMapOfInteractive::AIS_StdMapNodeOfMapOfInteractive | ( | const Handle(AIS_InteractiveObject)& | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const AIS_StdMapNodeOfMapOfInteractive::Handle | ( | Standard_Type |  | ) | const

Handle_AIS_InteractiveObject& AIS_StdMapNodeOfMapOfInteractive::Key | ( |  | ) | const

## Field Documentation

Handle_AIS_InteractiveObject AIS_StdMapNodeOfMapOfInteractive::myKey `[private]`

The documentation for this class was generated from the following file:

- AIS_StdMapNodeOfMapOfInteractive.hxx